<template>
  <div class="home">
    <TicketsList :tickets="tickets" />
  </div>
</template>

<script>
// @ is an alias to /src

import TicketsList from  '@/components/TicketsList.vue';
import TicketsService from '@/services/ticket';

export default {
  name: 'Home',
  components: {
    TicketsList
  },
  async beforeCreate(){
    const tickets = await TicketsService.getTickets();
    this.tickets = tickets;
  },
  data(){
    return {
      tickets : []
    }
  }
}
</script>
